#ifndef SOUND_H_INCLUDED
#define SOUND_H_INCLUDED

void sfxJump(u8 size);
void sfxDie();
void sfxBump();
void sfxSplit();
void sfxUnsplit();
void sfxError();

void enable_sound();

#define start_sound_A(sound, repeat) _start_sound_A(sound, sizeof(sound), repeat)

void _start_sound_A(const u32* sound, u32 length, bool repeat);
void restart_sound_A();
void stop_sound_A();

#define start_sound_B(sound, repeat) _start_sound_B(sound, sizeof(sound), repeat)

void _start_sound_B(const u32* sound, u32 length, bool repeat);
void restart_sound_B();
void stop_sound_B();

void update_sound();

extern const u32 * sound_A;
extern const u32 * sound_B;

#endif // SOUND_H_INCLUDED
